Up

# NSColorList

### Authors

Scott Christley (`scottc@net-community.com`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> Manage named lists of NSColors.

Copyright: (C) 1996, 2000 Free Software Foundation, Inc.

# Software documentation for the NSColorList class

## NSColorList : NSObject

> Declared in:
>   AppKit/NSColorList.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +availableColorLists
- +colorListNamed:
- -allKeys
- -colorWithKey:
- -encodeWithCoder:
- -initWithCoder:
- -initWithName:
- -initWithName:fromFile:
- -insertColor:key:atIndex:
- -isEditable
- -name
- -removeColorWithKey:
- -removeFile
- -setColor:forKey:
- -writeToFile:

### availableColorLists

+ (NSArray*) availableColorLists;
Availability: OpenStep
Description forthcoming.

### colorListNamed:

+ (NSColorList*) colorListNamed: (NSString*)name;
Availability: OpenStep
Description forthcoming.

### allKeys

- (NSArray*) allKeys;
Availability: OpenStep
Description forthcoming.

### colorWithKey:

- (NSColor*) colorWithKey: (NSString*)key;
Availability: OpenStep
Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;
Availability: OpenStep
Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;
Availability: OpenStep
Description forthcoming.

### initWithName:

- (id) initWithName: (NSString*)name;
Availability: OpenStep
Initializes a new, empty color list registered under given name.

### initWithName: fromFile:

- (id) initWithName: (NSString*)name fromFile: (NSString*)path;
Availability: OpenStep

Initializes a new color list registered under given name, taking contents from the file specified in path. (Path should include the filename with extension (usually ".clr"), and by convention name should be the same as filename without the extension.)

The format of the file can be either an archive of an NSColorList or an ASCII format. ASCII files follow this format:

first line = [#/colors]
each subsequent line describes a color as [int float+ string]
the first int describes the method (RGBA, etc.), the floats provide its arguments (e.g., r, g, b, alpha), and string is name.

The method corresponds to one of the NSColor initializers. We are looking for documentation of the exact correspondence on OpenStep; for now the only supported method is "0", which is an RGBA format with the arguments in order R,G,B, A.

### insertColor: key: atIndex:

- (void) insertColor: (NSColor*)color key: (NSString*)key atIndex: (unsigned)location;
Availability: OpenStep
Description forthcoming.

### isEditable

- (BOOL) isEditable;
Availability: OpenStep
Description forthcoming.

### name

- (NSString*) name;
Availability: OpenStep
Description forthcoming.

### removeColorWithKey:

- (void) removeColorWithKey: (NSString*)key;
Availability: OpenStep
Description forthcoming.

### removeFile

- (void) removeFile;
Availability: OpenStep
Description forthcoming.

### setColor: forKey:

- (void) setColor: (NSColor*)aColor forKey: (NSString*)key;
Availability: OpenStep
Description forthcoming.

### writeToFile:

- (BOOL) writeToFile: (NSString*)path;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSColorList Class

### _colorDictionary

@protected NSMutableDictionary* _colorDictionary;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _fullFileName

@protected NSString* _fullFileName;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _is_editable

@protected BOOL _is_editable;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _name

@protected NSString* _name;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _orderedColorKeys

@protected NSMutableArray* _orderedColorKeys;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up